Subject: Re: bug#17947: 24.3; ruby-mode sets require-final-newline unconditionally

From: Ethan <[email-masked]>
Date: Sun, 6 Jul 2014 00:27:39 -0400

Hi Eli, if you are happy with the behavior of require-final-newline, then
that's fine and I don't believe you are likely to want to use ethan-wspace.
The point of the warning is to make it clear to a user that you can use
ethan-wspace, or require-final-newline, but not both. The point of the bug
report is merely to ask that if a user wants to use ethan-wspace and not
require-final-newline, that they be able to do so.

Thanks Stefan for the quick turnaround on the patch and the context for why
the code is the way it is!

Ethan

On Sat, Jul 5, 2014 at 10:45 PM, Eli Zaretskii <[email-masked]> wrote:

> > From: Stefan Monnier <[email-masked]>
> > Cc: [email-masked],  [email-masked]
> > Date: Sat, 05 Jul 2014 19:02:05 -0400
> >
> > >> > One user reported that ruby-mode triggers this warning. Sure
> enough, in
> > >> > ruby-mode.el at line 287, I see:
> > >> >   (set (make-local-variable 'require-final-newline) t)
> > >> Removed in the `emacs-24' branch.
> > > Regardless of what this or that mode does, I think it's wrong for
> > > ethan-wspace to annoy users for having require-final-newline set
> > > non-nil.
> >
> > It's his package and he's free to do what he wants with it, I think.
>
> Yes, he is.  Which is why I said "I think".  It's an opinion of an
> Emacs user who has this variable customized since about forever, and
> would find it annoying to be annoyed by such warnings.  User who
> customized this variables clearly tell that they want to be in control
> of the final newline, so packages that look at that shouldn't.
>